% SVD-BASED PROJECTION FOR FACE RECOGNITION
%
% Projection-based face recognition has
% been widely studied during the past two decades. One
% of the problems is to require a huge storage space to
% save the face features obtained from training faces.
% We propose an SVD-based face retrieval
% system which requires less memory than the PCA,
% 2DPCA, Fisher, and 2DFisher approaches. The algorithm
% tested on the famous ORL (AT&T) face
% database, consisted of 400 112  92 gray level face
% images equally contributed by 40 subjects, achieves
% 97.5% recognition rate of retrievals.
%
% Copy all files in Matlab current directory and type "facerec" on
% Matlab command window.
% 
% First, select an input image clicking on "Select image".
% Then you can
%   - add this image to database (click on "Add selected image to database"
%   - perform face recognition (click on "Face Recognition" button)
%     Note: If you want to perform face recognition database has to include 
%     at least one image.
%  If you choose to add image to database, a positive integer (face ID) is
%  required. This posivive integer is a progressive number which identifies
%  a person (each person corresponds to a class).
% For example:
%  - run the GUI (type "facerec" on Matlab command window)
%  - delete database (click on "Delete Database")
%  - add "mike1.jpg" to database ---> the ID has to be 1 since Mike is the first
%    person you are adding to database
%  - add "mike2.jpg" to database ---> the ID has to be 1 since you have already
%    added a Mike's image to database
%  - add "paul1.jpg" to database ---> the ID has to be 2 since Paul is the second person
%    you are adding to database
%  - add "cindy1.jpg" to database ---> the ID has to be 3 since Cindy is
%    the third person you are adding to database
%  - add "paul2.jpg" to database ---> the ID has to be 2 once again since
%    you have already added Paul to database
%   
% ... and so on! Very simple, isnt't? :)
% 
% The recognition gives as results the ID of nearest person present in
% database. For example if you select image "paul3.jpg" the ID given SHOULD
% be 2: "it should be" because errors are possible.
%
%
% The images included are taken from AT&T Laboratories Cambridge's
% Face DataBase. See the cited references for more informations.
% 
% 
% FUNCTIONS
%
% Select image:                                  read the input image
%
% Add selected image to database:                the input image is added to database and will be used for training
%
% Database Info:                                 show informations about the images present in database. Images must 
%                                                have the same size. If this is not true you have to resize them.
%
% Face Recognition:                              face matching. The selected input image is processed 
%
% Delete Database:                               remove database from the current directory
%
% Info:                                          show informations about this software
%
% Source code for SVD-Based Face Recognition:    how to obtain the complete source code
%
% Exit:                                          quit program
%
%
%
%
%
% Luigi Rosa
% Via Centrale 35
% 67042 Civita di Bagno
% L'Aquila - ITALY 
% email   luigi.rosa@tiscali.it
% mobile  +39 3207214179
% website http://www.advancedsourcecode.com
%
%
